/*
 * $Id$
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log$
 * Revision 1.3  2006/09/17 18:49:43  marbobo
 * + Für die Initialisierung des Zugriffsrecht Statischevariable verwendet
 *
 * Revision 1.2  2006/09/01 07:32:04  korowa
 * Feld name in einem dynamischen Attribut für User darf vom User nicht verändert werden
 *
 * Revision 1.1  2006/08/31 12:27:58  korowa
 * Dynamische Attribute für Users eingefügt
 *
 */

package vkc.view.bean;

public final class UserDynAttr {
	public static final int AUTORIZATION_NO = 0;

	public static final int AUTORIZATION_READ = 1;

	public static final int AUTORIZATION_WRITE = 2;

	private String name = "";

	private String value = "";

	private int autorization = AUTORIZATION_NO;

	public UserDynAttr(String name, String value, int permission) {
		this.name = name;
		this.autorization = permission;
		this.value = value;
	}

	public UserDynAttr(String name, String value) {
		this.name = name;
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getAutorization() {
		return autorization;
	}

	public void setAutorization(int permission) {
		this.autorization = permission;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
}